<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('sms_senders', function (Blueprint $table): void {
            // Make Sender ID nullable
            $table->string('sname', 255)->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('sms_senders', function (Blueprint $table): void {
            // Revert to not nullable
            $table->string('sname', 255)->nullable(false)->change();
        });
    }
};
